Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Capture


Use this information to process a capture.

When a transaction is below the threshold for First Ride Risk protection, use the capture service to capture funds from a declined authorization. For more information, see First Ride Risk.

Endpoints

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

The {id} is the transaction ID returned in the authorization response.

Example

{   "clientReferenceInformation": {        "comments": "TransitDA BAU capture",        "transactionId": "14987654321",        "partner": {            "thirdPartyCertificationNumber": "123456789012"        }    },   "orderInformation": {    "amountDetails": {      "totalAmount": "10.00",      "currency": "EUR"    }  }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/captures/6484688186356910704004/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/captures/6484688186356910704004"        }    },    "clientReferenceInformation": {        "comments": "capture",        "code": "testcode1012",        "transactionId": "14987654321"    },    "id": "6484688186356910704004",    "orderInformation": {        "amountDetails": {            "totalAmount": "10.00",            "currency": "EUR"        }    },    "reconciliationId": "fgssgsgsgsfg",    "status": "PENDING",    "submitTimeUtc": "2022-03-28T12:00:18Z"}

Required Fields

Default Required Fields

clientReferenceInformation.code Required
clientReferenceInformation.comments Required

This field applies to only.

clientReferenceInformation.partner.thirdPartyCertificationNumber Required

This field applies to only. provides the value for this field.

clientReferenceInformation.transactionId Required

This field applies to only.

orderInformation.amountDetails.currency Required
orderInformation.amountDetails.totalAmount Required

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.